Query Quote
Query a quote for an OTC order. Requires the Read permission.
Request Parametersβ
| Name | Type | Required | Description |
|---|---|---|---|
| quoteId | String | Yes | Quote ID |
Response Contentβ
| Name | Type | Description |
|---|---|---|
| quoteId | String | Quote ID |
| clOrderId | String | Client order ID assigned by the client |
| side | String | Transaction side β BUY Β· SELL |
| baseSize | String | Size in baseCurrency. Max 8 decimal places when side=BUY; max 9 decimal places when side=SELL. |
| baseCurrency | String | Base currency |
| quoteSize | String | Size in quoteCurrency. Max 9 decimal places when side=BUY; max 8 decimal places when side=SELL. |
| quoteCurrency | String | Quote currency |
| ratio | String | How many quoteCurrency per one baseCurrency (quoteSize / baseSize). Max 10 decimal places. |
| status | String | Quote status β NEW_QUOTE Β· REQUOTE Β· COMPLETED Β· EXPIRED |
| expireTime | Double | Expiration timestamp (Unix ms) |
| ttl | Double | Time to live in seconds |
example
GET
https://api.btse.com/public-api/otc/v1/quotesResponse (New Quote)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673325777227,
"data": {
"quoteId": "0001-0001-0001-0001",
"clOrderId": "test-0001",
"side": "BUY",
"baseSize": "15.0",
"baseCurrency": "BTC",
"quoteSize": "257735.09868",
"quoteCurrency": "USDT",
"ratio": "17182.33991211",
"expireTime": 1673325783227,
"ttl": 6,
"status": "NEW_QUOTE"
}
}
Response (Accepted Quote)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673325778012,
"data": {
"quoteId": "0001-0001-0001-0001",
"clOrderId": "test-0001",
"side": "BUY",
"baseSize": "15.0",
"baseCurrency": "BTC",
"quoteSize": "257735.09868",
"quoteCurrency": "USDT",
"ratio": "17182.33991211",
"expireTime": 1673325783227,
"status": "COMPLETED"
}
}
Response (Quote Was Expired)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673325784033,
"data": {
"quoteId": "0002-0002-0002-0002",
"clOrderId": "test-0002",
"side": "BUY",
"baseSize": "19.787758928",
"baseCurrency": "BTC",
"quoteSize": "340000.0",
"quoteCurrency": "USDT",
"ratio": "17182.33991211",
"expireTime": 1673325783227,
"ttl": 0,
"status": "EXPIRED"
}
}
Response (Requote)
{
"success": true,
"code": 1,
"msg": "Success",
"time": 1673506479119,
"data": {
"quoteId": "2000-2000-2000-2000",
"clOrderId": "test-0002",
"side": "BUY",
"baseSize": "18.624803705",
"baseCurrency": "BTC",
"quoteSize": "340000.0",
"quoteCurrency": "USDT",
"ratio": "18255.225955",
"expireTime": 1673506485119,
"ttl": 6,
"status": "REQUOTE"
}
}